# List transactions

This endpoint allows you to retrieve a list of transactions for a given business. You can filter the transactions by date range, status, and expense completion status.

Endpoint: GET /v2/businesses/{client_id}/transactions
Version: v1
Security: BearerAuth

## Query parameters:

  - `offset` (integer)
    Offset to retrieve items from.
    Example: 50

  - `limit` (integer)
    Number of items per page.
    Example: 50

  - `min_auth_date` (string)
    The minimum authorised date for the transactions in UTC.

  - `max_auth_date` (string)
    The maximum authorised date for the transactions in UTC.

  - `min_cleared_date` (string)
    The minimum cleared date for the transactions in UTC.

  - `max_cleared_date` (string)
    The maximum cleared date for the transactions in UTC.

  - `expense_status` (string)
    The expense completion status of the transactions.
    Enum: "COMPLETE", "INCOMPLETE_EXPENSE"

## Path parameters:

  - `client_id` (integer, required)
    The ID of the business.
    Example: 123

## Response 200 fields (application/json):

  - `count` (integer)
    The total number of transactions that match the query.
    Example: 100

  - `next` (string)
    The URL to the next page of transactions.
    Example: "offset=50&limit=50"

  - `previous` (string)
    The URL to the previous page of transactions.
    Example: "offset=0&limit=50"

  - `results` (array)

  - `results.id` (string)
    The ID of the transaction.
    Example: "e33b7c61-5124-4ba0-b238-e4c573133715"

  - `results.cleared_date` (string,null)
    The date the transaction was cleared in UTC.
    Example: "2024-01-01T00:00:00Z"

  - `results.auth_date` (string)
    The date the transaction was authorised in UTC.
    Example: "2024-01-01T00:00:00Z"

  - `results.merchant_name` (string)
    The name of the merchant.
    Example: "Bunnings Warehouse"

  - `results.attendees` (array)
    The names of the attendees of the transaction.
    Example: ["Jane Doe"]

  - `results.budget` (object)
    The budget associated with the transaction.

  - `results.budget.id` (string)
    The ID of the budget.
    Example: "e33b7c61-5124-4ba0-b238-e4c573133715"

  - `results.budget.name` (string)
    The name of the budget.
    Example: "Sales Team"

  - `results.budget.budget_type` (string)
    The type of budget.
    Enum: "BUDGET", "SUBSCRIPTION"

  - `results.currency` (string)
    The currency of the transaction.
    Example: "AUD"

  - `results.custom_fields` (array)

  - `results.custom_fields.field_name` (string)
    The name of the custom field.
    Example: "Project"

  - `results.custom_fields.entry_text` (string)
    The text value of the custom field.
    Example: "Project 1"

  - `results.fx_amount` (number)
    The foreign currency amount of the transaction.
    Example: 100

  - `results.amount` (number)
    The amount of the transaction in AUD (positive for credits, negative for debits).
    Example: -100

  - `results.gst` (number)
    The GST amount of the transaction.
    Example: 9.09

  - `results.expense_status` (string)
    The expense completion status of the transaction.
    Enum: "COMPLETE", "INCOMPLETE_EXPENSE"

  - `results.status` (string)
    The status of the transaction.
    Enum: "CLEARED", "AUTHED"

  - `results.transaction_type` (string)
    The type of transaction.
    Enum: "CARD_TRANSACTION", "CHARGE", "DEPOSIT_DIRECT_CREDIT", "DEPOSIT_DIRECT_DEBIT", "BILL", "REIMBURSEMENT", "EXTERNAL_TRANSFER", "MANUAL_TRANSFER", "CREDIT"

  - `results.user` (object,null)
    The user who made the transaction.

  - `results.user.id` (integer)
    The ID of the user.
    Example: 123

  - `results.user.first_name` (string)
    The first name of the user.
    Example: "John"

  - `results.user.last_name` (string)
    The last name of the user.
    Example: "Doe"

  - `results.user.name` (string)
    The full name of the user or the display name if the user has set one.
    Example: "John Doe"

  - `results.line_items` (array)
    The line items of the transaction.

  - `results.line_items.id` (string)
    The ID of the line item.
    Example: "e33b7c61-5124-4ba0-b238-e4c573133715"

  - `results.line_items.amount` (number)
    The amount of the line item in AUD.
    Example: 100

  - `results.line_items.gst_amount` (number)
    The GST amount of the line item.
    Example: 9.09

  - `results.line_items.category` (object)

  - `results.line_items.category.id` (string)
    The ID of the category.
    Example: "f2c9897d-62fb-4d64-9647-3e6bf62d07c2"

  - `results.line_items.category.name` (string)
    The name of the category in Weel.
    Example: "Accommodation"

  - `results.line_items.category.code` (string,null)
    The accounting code of the category, if any.
    Example: "6668"

  - `results.line_items.custom_fields` (array)

  - `results.line_items.custom_fields.field_name` (string)
    The name of the custom field.
    Example: "Project"

  - `results.line_items.custom_fields.entry_text` (string)
    The text value of the custom field.
    Example: "Project 1"

  - `results.line_items.description` (string)
    The description of the line item.
    Example: "Building supplies"

  - `results.receipt_urls` (array)
    The URLs of the receipts for the transaction.
    Example: ["https://divipay-user-production.s3.amazonaws.com/123/68eae8f6-cb90-4403-ba76-a2cc12c3979j.png"]

  - `results.created` (string)
    The date and time when the transaction was created in UTC.
    Example: "2024-01-01T00:00:00Z"

  - `results.updated` (string)
    The date and time when the transaction was last updated in UTC.
    Example: "2024-01-01T00:00:00Z"


## Response 401 fields

## Response 403 fields
